## uucpsend 1.0

=== Makefile ===
#  Copyright (c) 1995-8  Martin Schulze <joey@infodrom.north.de>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111, USA.

#  Makefile for uucpsend

CC = gcc
CFLAGS = -O3
DEST=
MAN=man
NEWS=news
OBJS=uucpsend.o log.o

uucpsend: $(OBJS)

clean:
	rm $(OBJS) uucpsend
install:
	for d in $(DEST)/usr/lib/news/bin $(DEST)/etc/news $(DEST)/usr/man/man{5,8}; \
	do \
	  if [ ! -d $$d ]; then install -m 755 -o root -g root -d $$d ; fi; \
	done
	install -m 755 -o root -g root -s uucpsend $(DEST)/usr/lib/news/bin
	install -m 644 -o $(NEWS) -g $(NEWS) uucpsend.ctl $(DEST)/etc/news
	install -m 644 -o $(MAN) -g $(MAN) uucpsend.8 $(DEST)/usr/man/man8
	install -m 644 -o $(MAN) -g $(MAN) uucpsend.ctl.5 $(DEST)/usr/man/man5


log.o: log.c log.h
uucpsend.o: uucpsend.c paths.h

## uucpsend 1.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-#  Copyright (c) 1995-8  Martin Schulze <joey@infodrom.north.de>
+#  Copyright (c) 1995-8,2001  Martin Schulze <joey@infodrom.org>
 #
 #  This program is free software; you can redistribute it and/or modify
 #  it under the terms of the GNU General Public License as published by
@@ -17,22 +17,24 @@
 #  Makefile for uucpsend
 
 CC = gcc
-CFLAGS = -O3
+CFLAGS = -O3 -Wall
 DEST=
 MAN=man
 NEWS=news
 OBJS=uucpsend.o log.o
+STRIP=-s
 
 uucpsend: $(OBJS)
 
 clean:
-	rm $(OBJS) uucpsend
+	rm -f $(OBJS) uucpsend
+
 install:
 	for d in $(DEST)/usr/lib/news/bin $(DEST)/etc/news $(DEST)/usr/man/man{5,8}; \
 	do \
 	  if [ ! -d $$d ]; then install -m 755 -o root -g root -d $$d ; fi; \
 	done
-	install -m 755 -o root -g root -s uucpsend $(DEST)/usr/lib/news/bin
+	install -m 755 -o root -g root $(STRIP) uucpsend $(DEST)/usr/lib/news/bin
 	install -m 644 -o $(NEWS) -g $(NEWS) uucpsend.ctl $(DEST)/etc/news
 	install -m 644 -o $(MAN) -g $(MAN) uucpsend.8 $(DEST)/usr/man/man8
 	install -m 644 -o $(MAN) -g $(MAN) uucpsend.ctl.5 $(DEST)/usr/man/man5

=== debian/changelog ===
uucpsend (1.1-5) unstable; urgency=medium

  * QA upload.
  * Switch to 3.0 (quilt) source package format:
    - Diff converted into patches (Makefile and uucpsend.c)
    - Added source/format
  * d/control
    - Set maintainer to Debian QA Group (Orphan bug: #934426)
    - Add Homepage
    - Add Vcs field pointing to salsa
    - Add Rules-Requires-Root: binary-targets
    - Bump Std-Version to 4.5.0
    - Add missing ${misc:Depends}
    - Renaming priority extra to optional
  * Remove d/NMU-Disclaimer as package is orphaned
  * Convert copyright to DEP-5
  * Convert buildsystem to dh
    - Add debhelper-compat (= 13) as Build-Depends
    - Rewrite rules using dh
  * Delegate install to debhelper:
    - Skip Makefile install rule
    - Add files to d/install
    - Add manpages to d/manpages
    - Add readme to d/docs
    - Fix uucpsend.ctl ownership in d/rules dh_fixperm
  * Override hardcoded CC and CFLAGS in Makefile
  * Drop unused d/conffiles
  * Add watch file
  * Add upstream gpg key
  * Add salsa CI pipeline
  * Remove trailing space from changelog
  * Add DEP-12 metadata file
  * Use recommended branch name from DEP-14
  * Fix FTCBFS: Let dpkg's buildtools.mk supply tools.
    Thanks to Helmut Grohne for the patch (Closes: #942018)

 -- Baptiste BEAUPLAT <lyknode@cilg.org>  Fri, 28 Aug 2020 16:45:43 +0200

uucpsend (1.1-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Make the build reproducible: pass -n to gzip.
    Thanks to Chris Lamb for the patch (Closes: #777008)

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 09 Mar 2017 00:51:53 +0100

uucpsend (1.1-4) unstable; urgency=low

  * Lock shell to bash in the root Makefile (really closes: Bug#379712)

 -- Martin Schulze <joey@infodrom.org>  Thu, 03 Apr 2008 17:58:44 +0200

uucpsend (1.1-3) unstable; urgency=low

  * Added information about the CVS repository
  * Fixed typo in NMU-Disclaimer, thanks to Petter Reinholdtsen (See:
    Bug#225895)
  * Incorporated from NMU 1.1-2.1
    - uucpsend.c: Don't cast lvalue in assignment.  Fix type of
      argument to free_sites() in order to remove unnecessary cast
      Patch by Andreas Jochens (closes: Bug#297738)
    - Removed postinst script since the /usr/doc transition is finished
  * Removed prerm script since the /usr/doc transition is finished
  * Set shell to bash (closes: Bug#379712)

 -- Martin Schulze <joey@infodrom.org>  Sat, 19 Jan 2008 11:46:50 +0100

uucpsend (1.1-2) unstable; urgency=low

  * Added a disclaimer for those people who plan to NMU this package
  * Corrected the description (closes: Bug#144727)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Thu, 28 Aug 2003 10:35:50 +0200

uucpsend (1.1-1) unstable; urgency=low

  * New upstream source (closes: Bug#84385, Bug#84380)
  * Removed blurb about INN2 since it's incorporated into the regular
    readme file now

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Thu, 22 Nov 2001 21:54:13 +0100

uucpsend (1.0-3) unstable; urgency=low

  * Converted gzip'ing of manpages to my own style
  * Applied NMU changes
  * Capitalizing of short description
  * Added an URL to the readme file
  * Changed Priority to extra as it is noted in the overrides file
  * Added convenience code to support $DEB_BUILD_OPTIONS
  * Let the package conflict with INN2 since this needs further tweaking
    (closes: Bug#64284, Bug#64549)
  * Added a readme file as description for INN2

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Thu, 22 Nov 2001 16:23:21 +0100

uucpsend (1.0-2) unstable; urgency=low

  * Non-Maintainer upload
  * /usr/doc to /usr/share/doc transition (Closes: #91713)
  * removed gzipping of copyright file
  * added isp flags to dpkg-genchanges call to create Priority: and
    Section: fields
  * gzipped manpage uucpsend.ctl.5
  * ditto uucpsend.8
  * changed pointer to GPL in debian/copyright
  * added postinst and prerm scripts to handle /usr/doc/uucpsend
    symlinks
  * moved manpages to /usr/shar/man
  * upped standards to 3.5.2

 -- Stephen Stafford <bagpuss@debian.org>  Sat, 21 Apr 2001 21:26:25 +0100

uucpsend (1.0-1) unstable; urgency=low

  * First Debian release
  * Corrected paths to fit the current Debian filesystem structure
  * Added notice to GNU GPL and added it
  * Fixed Debian standards version
  * Included readme file
  * Converted from bzero() to memset()

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Sat, 12 Sep 1998 02:29:26 +0200

=== debian/control ===
Source: uucpsend
Section: news
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.0
Homepage: https://www.infodrom.org/projects/uucpsend/
Vcs-Git: https://salsa.debian.org/debian/uucpsend.git
Vcs-Browser: https://salsa.debian.org/debian/uucpsend
Rules-Requires-Root: binary-targets

Package: uucpsend
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, inn, uucp
Conflicts: inn2
Description: Alternative Frontend for UUCP Batching with INN
 This package provides some neat features to do UUCP batching.
 Partially it is logically based on send-uucp and nntpsend which were
 included in early versions of INN.
 .
 It is tested with INN 1 and may require tweaking with INN 2.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic

include /usr/share/dpkg/buildtools.mk

%:
	dh $@

# Makefile hardcodes CC and CFLAGS
override_dh_auto_build:
	dh_auto_build -- CC="$(CC)" CFLAGS="$(CFLAGS)"

# Makefile is not using DESTDIR and has wrong path for manpages
# delegating install to d/install and d/manpages
override_dh_auto_install:

# Fix uucpsend.ctl ownership
execute_after_dh_fixperms:
	chown news:news -- "$(CURDIR)/debian/uucpsend/etc/news/uucpsend.ctl"

=== debian/watch ===
version=4
opts="pgpmode=auto" \
https://www.infodrom.org/projects/uucpsend/download/uucpsend-@ANY_VERSION@@ARCHIVE_EXT@
